Bug 1563868 - pluma broken due libpeas changes
Summary: pluma broken due libpeas changes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpeas
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 23:56 UTC by Filipe Rosset
Modified: 2018-06-06 13:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-06 12:57:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Filipe Rosset 2018-04-04 23:56:55 UTC
Description of problem:
sudo dnf install pluma
conflicting requests
  - nothing provides libpeas-loader-python needed by pluma-1.20.1-1.fc29.i686
  - nothing provides libpeas-loader-python needed by pluma-1.20.1-1.fc29.x86_64

Comment 1 Filipe Rosset 2018-04-10 21:20:32 UTC
https://src.fedoraproject.org/rpms/libpeas/c/5ecfd42cfa64ce0cc0650aabda126b21cc563805?branch=master

looks like this commit was the culprit, how can we fix this?

Comment 2 Wolfgang Ulbrich 2018-04-11 13:59:01 UTC
Can you please file out an upstream report for pluma?
Mate upstream needs to be informed.
Porting MATE to python3 is on the roadmap for MATE-1.22.
But 1.22 won't be released before next year, so it's to late for f29.
Maybe an upstream report by a user helps to speed up the progress.

Comment 3 Filipe Rosset 2018-04-13 19:51:22 UTC
https://github.com/mate-desktop/pluma/issues/305

Comment 4 Wolfgang Ulbrich 2018-04-20 16:33:35 UTC
Can you please try this scratch build?
I disabled internal python plugins for the moment until Mate upstream ported pluma to python3.
But build is untested, i don't have a rawhide installation for testing.
If it works for you i will push it to repos.
https://koji.fedoraproject.org/koji/taskinfo?taskID=26471696

Comment 5 Filipe Rosset 2018-04-20 22:33:01 UTC
(In reply to Wolfgang Ulbrich from comment #4)
> Can you please try this scratch build?
> I disabled internal python plugins for the moment until Mate upstream ported
> pluma to python3.
> But build is untested, i don't have a rawhide installation for testing.
> If it works for you i will push it to repos.
> https://koji.fedoraproject.org/koji/taskinfo?taskID=26471696

working fine for me.

Comment 6 Wolfgang Ulbrich 2018-05-02 08:58:52 UTC
I don't see that removing python2 support is in f29 change set.
https://fedoraproject.org/wiki/Releases/29/ChangeSet

Is it possible to add Python 2 loader for libpeas for f29 again, please ?

Porting MATE to python3 is on the roadmap for MATE-1.22.
But 1.22 won't be released before next year, so it's to late for f29.

Comment 7 Bastien Nocera 2018-06-06 12:57:22 UTC
I've made the libpeas-loader-python3 obsolete libpeas-loader-python (in libpeas-1.22.0-7.fc29), so that libpeas-loader-python gets removed on upgrades.

You need to fix pluma to not require Python2, ideally, it's been deprecated for a long while, and transition has started at least 3 years ago:
https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

If you can't transition to Python3 plugins in short order, and you need libpeas-loader-python, you'll need to bring it back as a separate stand-alone package. When you do, we can remove the obsoletes tag in libpeas itself.

Comment 8 Wolfgang Ulbrich 2018-06-06 13:47:07 UTC
Thx, adding a subpackage for myself is a solution if upstream port to python 3 isn't finished after f29 beta release.
Someone adds a branch for this at github
https://github.com/mate-desktop/pluma/commits/python3
For the moment i've disabled python code for latest f29 build.
https://src.fedoraproject.org/cgit/rpms/pluma.git/commit/?id=108ab60d283f9ca4489fa2f80872823f791f867c


Note You need to log in before you can comment on or make changes to this bug.